KinoSearch1::Search::PhraseQuery(3pm)

NAME
KinoSearch1::Search::PhraseQuery - match ordered list of Terms

SYNOPSIS
    my $phrase_query = KinoSearch1::Search::PhraseQuery->new;
    for ( qw( the who ) ) {
        my $term = KinoSearch1::Index::Term( 'bodytext', $_ );
        $phrase_query->add_term($term);
    }
    my $hits = $searcher->search( query => $phrase_query );

DESCRIPTION
PhraseQuery is a subclass of KinoSearch1::Search::Query for matching against ordered collections of terms.

METHODS

  new
    my $phrase_query = KinoSearch1::Search::PhraseQuery->new;

Constructor. Takes no arguments.

  add_term
    $phrase_query->add_term($term);

Append a term to the phrase to be matched. Takes one argument, a KinoSearch1::Index::Term object.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.